(function ($, Drupal) {
  Drupal.behaviors.localeDelete = {
    attach: function (context) {
      $(document, context).once('locale_delete').each(function () {
        localeDeleteNumber = 0;

        $('.locale-delete-add-more').click(function (e) {
          e.preventDefault();
          var $table = $('#edit-new');
          var $html = $table.find('tr').first().clone();
          $html.find('textarea').val('');

          // Update names.
          localeDeleteNumber++;
          $html.find('textarea').each(function() {
            var $el = $(this);
            localeDeleteNumber
            $el.attr('name', $el.attr('name').replace('0', localeDeleteNumber));
            $el.attr('id', $el.attr('id').replace('0'), localeDeleteNumber);
            $el.attr('data-drupal-selector', $el.attr('data-drupal-selector').replace('0'), localeDeleteNumber);
          });
  
          $table.find('tr').last().after($html);
        });
      });
    }
  };
})(jQuery, Drupal);
